<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>

<body>
    <div class="container-fluid">
        <div class="row">


            <div th:each="item : ${list}" class="col-md-3">
                <div class="card">
                    <div class="card-header" th:text="${item.title}">
                    </div>
                    <div class="card-body">
                        <blockquote class="blockquote mb-0" th:text="${item.content}">
                        </blockquote>
                    </div>
                </div>
            </div>


        </div>

        <h2>Add Post It</h2>
        <form th:action="@{/todo}" method="post">
            <label for="title">Title : </label>
            <input class="form-control" type="text" id="title" th:field="${postIt.title}">
            <label for="content">Content : </label>
            <textarea class="form-control" id="content" th:field="${postIt.content}"></textarea>
            <button class="btn btn-primary">Add</button>
        </form>
    </div>
</body>

</html>